# Local hardware, as defined as the hardware and virtual hardware considered
# part of the Touhey Computer Network (2ECN).

# ---
# Local / physical hardware.
# ---

Host localhost
	# This computer.

	Hostname localhost
	IdentityFile ~/.ssh/keys/thomas
	User cake

Host natasha
	# The Linksys WRT54GL router (purple-colored).

	Hostname 10.48.0.254
	IdentityFile ~/.ssh/keys/thomas
	User root

Host hermes
	# The Netgear router (black-colored).

#	Hostname carmen
#	Hostname carmen.local
	Hostname 10.161.255.254
#	Hostname [fc00:2e01::1]
	IdentityFile ~/.ssh/keys/cake
	User root

Host ap
	# WiFi Access Point at home.

	Hostname 192.168.1.7
	User admin
	KexAlgorithms +diffie-hellman-group1-sha1
	Ciphers +aes128-cbc

Host annie
	# Router at Mom's

	Hostname 10.162.255.254
	User root
	IdentityFile ~/.ssh/keys/thomas

Host krokmou 192.168.3.241 192.168.3.240
	# NAS at 25BEL

	Hostname 192.168.3.241
	User cake
	IdentityFile ~/.ssh/keys/thomas

Host norbert 192.168.3.18
	# Desktop computer at 25BEL

	Hostname 192.168.3.18
	User cake
	IdentityFile ~/.ssh/keys/cake

# ---
# Helpers for connecting to default local hardware.
# ---

Host pi-default
	# Default Raspberry Pi debugging credentials.

	Hostname raspberrypi.local
	StrictHostKeyChecking no
	UserKnownHostsFile /tmp/pi2_known_hosts
	User pi

# ---
# Hosted webspaces
# ---

Host hercule hercule.touhey.org
	# My online VPS.

	Hostname hercule.touhey.org
	IdentityFile ~/.ssh/keys/cake
	User cake

Host athena athena.touhey.org
	# My VPS for hosting the seedbox.

	Hostname athena.touhey.org
	IdentityFile ~/.ssh/keys/cake
	User cake

Host artemis artemis.touhey.org
	# My VPS for hosting the VPN.

	Hostname artemis.touhey.org
	IdentityFile ~/.ssh/keys/cake
	User cake

Host talma talma.visyerres.org
	# Vis'Yerres hosting VPS.

	Hostname talma.visyerres.org
	IdentityFile ~/.ssh/keys/cake
	User thomas
